Summary:        Kernel Evdev Device Wrapper Library
Name:           libevdev
Version:        1.13.1
Release:        4%{?dist}
License:        MIT
URL:            http://www.freedesktop.org/wiki/Software/libevdev
Source0:        http://www.freedesktop.org/software/libevdev/libevdev-%{version}.tar.xz

BuildRequires:  meson gcc
BuildRequires:  git-core
BuildRequires:  python3 python3-devel

%description
This package encapsulates the kernel evdev devices and provide a proper API for 
interacting with these devices.

%package devel
Summary:        Kernel Evdev Device Wrapper Library Development Package
Requires:       libevdev = %{version}-%{release}

%description devel
A development package for kernel evdev device wrapper library.

%package utils
Summary:        Kernel Evdev Device Wrapper Library Utilities Package
Requires:       libevdev = %{version}-%{release}

%description utils
Utilities to handle and/or debug evdev devices.

%prep
%autosetup -S git
pathfix.py -i %{__python3} -p -n $(git grep -l '#!/usr/bin/.*python.*')

%build
%meson -Dtests=disabled -Ddocumentation=disabled -Dcoverity=false
%meson_build

%install
%meson_install

%files
%license COPYING
%{_libdir}/libevdev.so.*

%files devel
%dir %{_includedir}/libevdev-1.0/
%dir %{_includedir}/libevdev-1.0/libevdev
%{_includedir}/libevdev-1.0/libevdev/libevdev.h
%{_includedir}/libevdev-1.0/libevdev/libevdev-uinput.h
%{_libdir}/libevdev.so
%{_libdir}/pkgconfig/libevdev.pc
%{_mandir}/man3/libevdev.3*

%files utils
%{_bindir}/touchpad-edge-detector
%{_bindir}/mouse-dpi-tool
%{_bindir}/libevdev-tweak-device
%{_mandir}/man1/libevdev-tweak-device.1*
%{_mandir}/man1/touchpad-edge-detector.1*
%{_mandir}/man1/mouse-dpi-tool.1*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.1-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.1-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Shuo Wang <abushwang@tencent.com> - 1.13.1-1
- update to 1.13.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Sep 19 2022 Wang Guodong <gordonwwang@tencent.com> - 1.13.0-1
- package init.
